#!/usr/bin/env python3

import sys

s = sys.argv[1]

parts = s.split("/")

print("scheme:", parts[0].split(":")[0])

host = parts[2]
if len(host.split(":")) > 1:
    print("host:", host.split(":")[0])
    print("port:", host.split(":")[1])
else:
    print("host:", host)

path = parts[3:]
path = "/".join(path)
query = 0

i = 0
while i < len(path):
    if path[i] == "?":
        query = 2
        i = len(path)
    elif path[i] == "#":
        query = 1
        i = len(path)
    i += 1

if query == 2:
    print("path:", "/" + path.split("?")[0])
    qstring = path.split("?")[1]
    print("query-string:", qstring.split("#")[0])
    if len(qstring.split("#")) > 1:
        print("fragment-id:", qstring.split("#")[1])

elif query == 1:
    print("path:", "/" + path.split("#")[0])
    qstring = path.split("#")[1]
    print("fragment-id:", qstring)

else:
    print("path:", "/" + path)
