#!/usr/bin/env python3

intersect = False

with open("a.txt") as file1, open("b.txt") as file2:
    content1 = file1.read().split()
    content2 = file2.read().split()
    nums = {}
    i = 0
    while i < len(content1) and i < len(content2):
        val = content1[i]
        if val in nums:
            intersect = True
        else:
            nums[val] = True
        val = content2[i]
        if val in nums:
            intersect = True
        else:
            nums[val] = True
        i += 1

if intersect:
    print("intersecting")
else:
    print("disjoint")
